Bug 150700 - CAN-2005-0638 xloadimage multiple issues.
CAN-2005-0638 xloadimage multiple issues.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xloadimage (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Martin Stransky
impact=low,public=20050218,source=cve...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-09 15:00 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 14:36:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-03-09 15:00:08 EST
xloadimage before 4.1-r2, and xli before 1.17, allows attackers to execute
arbitrary commands via shell metacharacters in filenames for compressed images,
which are not properly quoted when calling the gunzip command. (CAN-2005-0638)

Additionally, the gentoo bug covers a few other issues.
http://bugs.gentoo.org/show_bug.cgi?id=79762
Comment 1 Josh Bressers 2005-03-09 15:01:14 EST
This issue should affect RHEL3 and RHEL2.1 as well.
Comment 3 Josh Bressers 2005-04-19 14:36:51 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-332.html

Note You need to log in before you can comment on or make changes to this bug.